require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Sheet.
    module Sheet
      # @see Sheet#delete_versions
      class SheetDeleteVersions < UU::OS::REST::DTO

        # @see Sheet#delete_versions
        attr_accessor :older_than_ts

        def older_than_ts 
          attributes[:olderThanTs]
        end

        def older_than_ts=(val) 
          attributes[:olderThanTs] = val
        end

      end
    end
  end
end
