require 'uu/os/rest/dto'

module UU
  module OS
    module SheetTemplate
      # @see SheetTemplate#get_data
      class SheetTemplateGetData < UU::OS::REST::DTO

        # A flag that indicates whether the instances of mime types (defined in requestedMimeType attributes) can be modified. @exclude
        attr_accessor :immutable

        # @see SheetTemplate#get_data
        attr_accessor :requested_mime_type
        def immutable 
          attributes[:immutable]
        end

        def immutable=(val) 
          attributes[:immutable] = val
        end

        def requested_mime_type 
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val) 
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
