require 'uu/os/rest/paging_criteria'



module UU
  module OS
    module UseCaseRealization
      # @deprecated Use {UU::OS::VisualUseCase::VisualUseCaseGetUseCaseList} instead.
      class UseCaseRealizationGetUseCaseList < UU::OS::REST::PagingCriteria

        # The <b>UES query</b> string. It has to conform the ues query syntax (see documentation
        # for more info). Filtering and order of theresult list can be specified there. When
        # null is set, no filtering is applied and entries are ordered by name of referenced
        # artifact (and codeand type as the second and the third criteria).
        attr_accessor :query

        def query 
          attributes[:query]
        end

        def query=(val) 
          attributes[:query] = val
        end

      end
    end

  end
end
