require 'uu/os/rest/dto'

module UU
  module OS
    module UseCase
      # @see UseCase#set_options
      class UseCaseSetOptions < UU::OS::REST::DTO

        # @see UseCase#set_options
        attr_accessor :options
        def options
          attributes[:options]
        end

        def options=(val)
          if val
            attributes[:options] = UU::OS::REST::BinaryValue.new(val)
          else
            attributes[:options] = nil
          end
        end

      end
    end

  end
end
